import { jsx } from "react/jsx-runtime";
import { SeatbeltIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Seatbelt = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Seatbelt", ...props, children: /* @__PURE__ */ jsx(SeatbeltIcon, { weight: variant }) });
  }
);
Seatbelt.displayName = "Seatbelt";
Object.assign(Seatbelt, { isGdsIcon: true });
export {
  Seatbelt
};
